Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 566742 - app-misc/tmux >1.9a-r2 fails to compile on musl (fixed upstream)
Summary: app-misc/tmux >1.9a-r2 fails to compile on musl (fixed upstream)
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Shell Tools Herd Bugs
URL: https://github.com/tmux/tmux/issues/212
Whiteboard:
Keywords: PATCH
Depends on:
Blocks:
 
Reported: 2015-11-24 19:50 UTC by toast+misc
Modified: 2016-08-07 06:35 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Backported patch to tmux-2.1 (tmux-2.1-musl.patch,449 bytes, patch)
2015-11-24 20:54 UTC, Felix Janda
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description toast+misc 2015-11-24 19:50:52 UTC
sys/cdefs.h is not meant to be used by applications, and is not present in musl
sys/queue.h is a self-contained header-only library, and as such is not present in musl

These are used in tmux-2.1 (and at least one in tmux-2.0).

Bug reported upstream and has been patched in git in commit 0a2ef2b (see URL)

Possibly backport said commit?
Comment 1 Felix Janda 2015-11-24 20:54:59 UTC
Created attachment 417782 [details, diff]
Backported patch to tmux-2.1

This patch is the restriction of the upstream commit to compat/vis.h.

(The compilation of version 2.0 fails for different (related) reasons.
Since 2.0-r4 is unstable while 2.1 is stable I wouldn't bother
adding a patch for version 2.0.)
Comment 2 Felix Janda 2016-06-16 12:44:21 UTC
By now only versions 2.1 and 2.2 are in the tree. The bug is fixed
upstream in version 2.2. Fox version 2.1 the patch from comment 1 is
still necessary.